Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.hyades.logging.events.cbe
Interface Situation

All Superinterfaces:
  org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier, java.io.Serializable

All Known Implementing Classes:
  SituationImpl

public interface Situation
extends org.eclipse.emf.ecore.EObject, java.io.Serializable

A representation of the model object 'Situation'.

Since:
  1.0

  The following features are supported:

  - `Category Name`
  - `Situation Type`
Version:
  1.0.1
Author:
  Denilson Nastacio
See Also:
  `EventPackage.getSituation()`

Field Summary
`static java.lang.String` | `AVAILABLE_SITUATION_CATEGORY` Value for the 'Category Name' attribute.
`static java.lang.String` | `CONFIGURE_SITUATION_CATEGORY` Value for the 'Category Name' attribute.
`static java.lang.String` | `CONNECT_SITUATION_CATEGORY` Value for the 'Category Name' attribute.
`static java.lang.String` | `CREATE_SITUATION_CATEGORY` Value for the 'Category Name' attribute.
`static java.lang.String` | `DEPENDENCY_SITUATION_CATEGORY` Value for the 'Category Name' attribute.
`static java.lang.String` | `DESTROY_SITUATION_CATEGORY` Value for the 'Category Name' attribute.
`static java.lang.String` | `FEATURE_SITUATION_CATEGORY` Value for the 'Category Name' attribute.
`static java.lang.String` | `OTHER_SITUATION_CATEGORY` Value for the 'Category Name' attribute.
`static java.lang.String` | `REPORT_SITUATION_CATEGORY` Value for the 'Category Name' attribute.
`static java.lang.String` | `REQUEST_SITUATION_CATEGORY` Value for the 'Category Name' attribute.
`static java.lang.String` | `START_SITUATION_CATEGORY` Value for the 'Category Name' attribute.
`static java.lang.String` | `STOP_SITUATION_CATEGORY` Value for the 'Category Name' attribute.

Method Summary
`java.lang.String` | `getCategoryName()` Returns the value of the 'Category Name' attribute.
`SituationType` | `getSituationType()` Returns the value of the 'Situation Type' containment reference.
`void` | `init()` Resets the object's properties to their initial (e.g. null) state.
`void` | `setAvailableSituation(java.lang.String reasoningScope, java.lang.String availabilityDisposition, java.lang.String operationDisposition, java.lang.String processingDisposition)` Sets the value of the situation type as an Available Situation.
`void` | `setCategoryName(java.lang.String value)` Sets the value of the '`Category Name`' attribute.
`void` | `setConfigureSituation(java.lang.String reasoningScope, java.lang.String successDisposition)` Sets the value of the situation type as a Configure Situation.
`void` | `setConnectSituation(java.lang.String reasoningScope, java.lang.String situationDisposition, java.lang.String successDisposition)` Sets the value of the situation type as a Connect Situation.
`void` | `setCreateSituation(java.lang.String reasoningScope, java.lang.String successDisposition)` Sets the value of the situation type as a Create Situation.
`void` | `setDependencySituation(java.lang.String reasoningScope, java.lang.String dependencyDisposition)` Sets the value of the situation type as a Dependency Situation.
`void` | `setDestroySituation(java.lang.String reasoningScope, java.lang.String successDisposition)` Sets the value of the situation type as a Destroy Situation.
`void` | `setFeatureSituation(java.lang.String reasoningScope, java.lang.String featureDisposition)` Sets the value of the situation type as a Feature Situation.
`void` | `setOtherSituation(java.lang.String reasoningScope, java.lang.String any)` Sets the value of the situation type as an Other Situation.
`void` | `setReportSituation(java.lang.String reasoningScope, java.lang.String reportCategory)` Sets the value of the situation type as a Report Situation.
`void` | `setRequestSituation(java.lang.String reasoningScope, java.lang.String situationQualifier, java.lang.String successDisposition)` Sets the value of the situation type as a Request Situation.
`void` | `setSituationType(SituationType value)` Sets the value of the '`Situation Type`' containment reference.
`void` | `setStartSituation(java.lang.String reasoningScope, java.lang.String situationQualifier, java.lang.String successDisposition)` Sets the value of the situation type as a Start Situation.
`void` | `setStopSituation(java.lang.String reasoningScope, java.lang.String situationQualifier, java.lang.String successDisposition)` Sets the value of the situation type as a Stop Situation.
`void` | `validate()` Checks whether the contents of the instance conform to the CBE specification.

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Field Detail

### START_SITUATION_CATEGORY

    public static final java.lang.String START_SITUATION_CATEGORY

  Value for the 'Category Name' attribute.

  See Also:
    `getCategoryName()`, Constant Field Values

### STOP_SITUATION_CATEGORY

    public static final java.lang.String STOP_SITUATION_CATEGORY

  Value for the 'Category Name' attribute.

  See Also:
    `getCategoryName()`, Constant Field Values

### CONNECT_SITUATION_CATEGORY

    public static final java.lang.String CONNECT_SITUATION_CATEGORY

  Value for the 'Category Name' attribute.

  See Also:
    `getCategoryName()`, Constant Field Values

### CONFIGURE_SITUATION_CATEGORY

    public static final java.lang.String CONFIGURE_SITUATION_CATEGORY

  Value for the 'Category Name' attribute.

  See Also:
    `getCategoryName()`, Constant Field Values

### REQUEST_SITUATION_CATEGORY

    public static final java.lang.String REQUEST_SITUATION_CATEGORY

  Value for the 'Category Name' attribute.

  See Also:
    `getCategoryName()`, Constant Field Values

### FEATURE_SITUATION_CATEGORY

    public static final java.lang.String FEATURE_SITUATION_CATEGORY

  Value for the 'Category Name' attribute.

  See Also:
    `getCategoryName()`, Constant Field Values

### DEPENDENCY_SITUATION_CATEGORY

    public static final java.lang.String DEPENDENCY_SITUATION_CATEGORY

  Value for the 'Category Name' attribute.

  See Also:
    `getCategoryName()`, Constant Field Values

### CREATE_SITUATION_CATEGORY

    public static final java.lang.String CREATE_SITUATION_CATEGORY

  Value for the 'Category Name' attribute.

  See Also:
    `getCategoryName()`, Constant Field Values

### DESTROY_SITUATION_CATEGORY

    public static final java.lang.String DESTROY_SITUATION_CATEGORY

  Value for the 'Category Name' attribute.

  See Also:
    `getCategoryName()`, Constant Field Values

### REPORT_SITUATION_CATEGORY

    public static final java.lang.String REPORT_SITUATION_CATEGORY

  Value for the 'Category Name' attribute.

  See Also:
    `getCategoryName()`, Constant Field Values

### AVAILABLE_SITUATION_CATEGORY

    public static final java.lang.String AVAILABLE_SITUATION_CATEGORY

  Value for the 'Category Name' attribute.

  See Also:
    `getCategoryName()`, Constant Field Values

### OTHER_SITUATION_CATEGORY

    public static final java.lang.String OTHER_SITUATION_CATEGORY

  Value for the 'Category Name' attribute.

  See Also:
    `getCategoryName()`, Constant Field Values

Method Detail

### setAvailableSituation

    public void setAvailableSituation(java.lang.String reasoningScope,
                                      java.lang.String availabilityDisposition,
                                      java.lang.String operationDisposition,
                                      java.lang.String processingDisposition)

  Sets the value of the situation type as an Available Situation.

  It also changes the 'categoryName' attribute to `AVAILABLE_SITUATION_CATEGORY`.

  Parameters:
    `reasoningScope` - reasoning scope for the situation.
    `availabilityDisposition` - availability disposition for the situation.
    `operationDisposition` - operation disposition for the situation.
    `processingDisposition` - processing disposition for the situation.

### setCategoryName

    public void setCategoryName(java.lang.String value)

  Sets the value of the '`Category Name`' attribute.

  Parameters:
    `value` - the new value of the 'Category Name' attribute.
  See Also:
    `getCategoryName()`

### getCategoryName

    public java.lang.String getCategoryName()

  Returns the value of the 'Category Name' attribute.

  Returns:
    the value of the 'Category Name' attribute.
  See Also:
    `setCategoryName(String)`, `EventPackage.getSituation_CategoryName()`

### setConfigureSituation

    public void setConfigureSituation(java.lang.String reasoningScope,
                                      java.lang.String successDisposition)

  Sets the value of the situation type as a Configure Situation.

  It also changes the 'categoryName' attribute to `CONFIGURE_SITUATION_CATEGORY`.

  Parameters:
    `reasoningScope` - reasoning scope for the situation.
    `successDisposition` - success disposition for the new situation.

### setConnectSituation

    public void setConnectSituation(java.lang.String reasoningScope,
                                    java.lang.String situationDisposition,
                                    java.lang.String successDisposition)

  Sets the value of the situation type as a Connect Situation.

  It also changes the 'categoryName' attribute to `CONNECT_SITUATION_CATEGORY`.

  Parameters:
    `reasoningScope` - reasoning scope for the situation.
    `situationDisposition` - situation disposition for the new situation.
    `successDisposition` - success disposition for the new situation.

### setCreateSituation

    public void setCreateSituation(java.lang.String reasoningScope,
                                   java.lang.String successDisposition)

  Sets the value of the situation type as a Create Situation.

  It also changes the 'categoryName' attribute to `CREATE_SITUATION_CATEGORY`.

  Parameters:
    `reasoningScope` - reasoning scope for the situation.
    `successDisposition` - success disposition for the new situation.

### setDependencySituation

    public void setDependencySituation(java.lang.String reasoningScope,
                                       java.lang.String dependencyDisposition)

  Sets the value of the situation type as a Dependency Situation.

  It also changes the 'categoryName' attribute to `DEPENDENCY_SITUATION_CATEGORY`.

  Parameters:
    `reasoningScope` - reasoning scope for the situation.
    `dependencyDisposition` - dependency disposition for the new situation.

### setDestroySituation

    public void setDestroySituation(java.lang.String reasoningScope,
                                    java.lang.String successDisposition)

  Sets the value of the situation type as a Destroy Situation.

  It also changes the 'categoryName' attribute to `DESTROY_SITUATION_CATEGORY`.

  Parameters:
    `reasoningScope` - reasoning scope for the situation.
    `successDisposition` - success disposition for the new situation.

### setFeatureSituation

    public void setFeatureSituation(java.lang.String reasoningScope,
                                    java.lang.String featureDisposition)

  Sets the value of the situation type as a Feature Situation.

  It also changes the 'categoryName' attribute to `FEATURE_SITUATION_CATEGORY`.

  Parameters:
    `reasoningScope` - reasoning scope for the situation.
    `featureDisposition` - feature disposition for the new situation.

### setOtherSituation

    public void setOtherSituation(java.lang.String reasoningScope,
                                  java.lang.String any)

  Sets the value of the situation type as an Other Situation.

  It also changes the 'categoryName' attribute to `OTHER_SITUATION_CATEGORY`.

  Parameters:
    `reasoningScope` - reasoning scope for the situation.
    `any` - value for the new situation.

### setReportSituation

    public void setReportSituation(java.lang.String reasoningScope,
                                   java.lang.String reportCategory)

  Sets the value of the situation type as a Report Situation.

  It also changes the 'categoryName' attribute to `REPORT_SITUATION_CATEGORY`.

  Parameters:
    `reasoningScope` - reasoning scope for the situation.
    `reportCategory` - report category for the new situation.

### setRequestSituation

    public void setRequestSituation(java.lang.String reasoningScope,
                                    java.lang.String situationQualifier,
                                    java.lang.String successDisposition)

  Sets the value of the situation type as a Request Situation.

  It also changes the 'categoryName' attribute to `REQUEST_SITUATION_CATEGORY`.

  Parameters:
    `reasoningScope` - reasoning scope for the situation.
    `situationQualifier` - situation qualifier for the new situation.
    `successDisposition` - success disposition for the new situation.

### setSituationType

    public void setSituationType(SituationType value)

  Sets the value of the '`Situation Type`' containment reference.

  Parameters:
    `value` - the new value of the 'Situation Type' containment reference.
  See Also:
    `getSituationType()`

### getSituationType

    public SituationType getSituationType()

  Returns the value of the 'Situation Type' containment reference.

  Returns:
    the value of the 'Situation Type' containment reference.
  See Also:
    `setSituationType(SituationType)`, `EventPackage.getSituation_SituationType()`

### setStartSituation

    public void setStartSituation(java.lang.String reasoningScope,
                                  java.lang.String situationQualifier,
                                  java.lang.String successDisposition)

  Sets the value of the situation type as a Start Situation.

  It also changes the 'categoryName' attribute to `START_SITUATION_CATEGORY`.

  Parameters:
    `reasoningScope` - reasoning scope for the situation.
    `situationQualifier` - situation qualifier for the new situation.
    `successDisposition` - sucess disposition for the new situation.

### setStopSituation

    public void setStopSituation(java.lang.String reasoningScope,
                                 java.lang.String situationQualifier,
                                 java.lang.String successDisposition)

  Sets the value of the situation type as a Stop Situation.

  It also changes the 'categoryName' attribute to `STOP_SITUATION_CATEGORY`.

  Parameters:
    `reasoningScope` - reasoning scope for the situation.
    `situationQualifier` - situation qualifier for the new situation.
    `successDisposition` - success disposition for the new situation.

### validate

    public void validate()
                  throws ValidationException

  Checks whether the contents of the instance conform to the CBE specification.

  Throws:
    `ValidationException` - if the event instance does not follow the CBE specification.

### init

    public void init()

  Resets the object's properties to their initial (e.g. null) state. All components are initialized to either zero or null.

  Since:
    1.0

Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD